@setlocal
@chcp 65001 >nul

@echo enitsys SQLTools Beispielprogramm für SQL2csv
@echo:
@echo Dieses Program exportiert die Daten aus den
@echo 3 Beispieltabellen Adresse, Person und Wohnort
@echo in CSV-Dateien.
@echo Input:
@echo   - example/config/sql2csv.Adresse.Access.properties
@echo   - example/config/sql2csv.Person.Access.properties
@echo   - example/config/sql2csv.Wohnort.Access.properties
@echo Output:
@echo   - example/out/Access/Adresse.csv
@echo   - example/out/Access/Person.csv
@echo   - example/out/Access/Wohnort.csv
@echo:

@call %~dp0%_setenv.bat

@set DIR_OUT=%DIR_OUT%/Access

@"%JAVA_CMD%" -cp "%CPACCESS%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Adresse sqltoolsexample.Access

@echo:

@"%JAVA_CMD%" -cp "%CPACCESS%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Person sqltoolsexample.Access

@echo:

@"%JAVA_CMD%" -cp "%CPACCESS%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Wohnort sqltoolsexample.Access

@echo:
pause
