@setlocal
@chcp 65001 >nul

@echo enitsys SQLTools Beispielprogramm für SQL2csv
@echo:
@echo Dieses Program exportiert die Daten aus den
@echo 3 Beispieltabellen ADRESSE, PERSON und WOHNORT
@echo in CSV-Dateien.
@echo Input:
@echo   - example/config/sql2csv.Adresse.OracleCS.properties
@echo   - example/config/sql2csv.Person.OracleCS.properties
@echo   - example/config/sql2csv.Wohnort.OracleCS.properties
@echo Output:
@echo   - example/out/OracleCS/Adresse.csv
@echo   - example/out/OracleCS/Person.csv
@echo   - example/out/OracleCS/Wohnort.csv
@echo:

@call %~dp0%_setenv.bat

@set DIR_OUT=%DIR_OUT%/OracleCS

@"%JAVA_CMD%" -cp "%CP%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Adresse.OracleCS sqltoolsexample.OracleCS

@echo:

@"%JAVA_CMD%" -cp "%CP%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Person.OracleCS sqltoolsexample.OracleCS

@echo:

@"%JAVA_CMD%" -cp "%CP%" -D"connection.dir=%DIR_CONNECTION%" -D"configuration.dir=%DIR_CONFIG%" -D"sql.dir=%DIR_SQL%" -D"out.dir=%DIR_OUT%" com.enitsys.sqltools.SQL2csv sql2csv.Wohnort.OracleCS sqltoolsexample.OracleCS

@echo:
pause
